package nova.monadic_sfx.util.controls

import com.jfoenix.{controls => jfoenixc}
import scalafx.scene.control.ProgressIndicator

object JFXSpinner {
  implicit def sfxSpinner2jfx(
      v: JFXSpinner
  ): jfoenixc.JFXSpinner = if (v != null) v.delegate else null

}

// extends Control(delegate)
//     with SFXDelegate[jfoenixc.JFXSpinner]

/**
  * Wraps [[JFoenix JFXSpinner]]
  */
class JFXSpinner(
    override val delegate: jfoenixc.JFXSpinner = new jfoenixc.JFXSpinner
) extends ProgressIndicator(delegate) {

  def radius = delegate.getRadius()
  def radius_=(radius: Double) = delegate.setRadius(radius)

  def startingAngle = delegate.startingAngleProperty()
  def startingAngle_=(angle: Double) = delegate.setStartingAngle(angle)

}
